"use strict";
/* ---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColorRegistry = exports.registerColor = exports.resolveColorValue = exports.lessProminent = exports.transparent = exports.darken = exports.lighten = exports.WORKBENCH_BACKGROUND = exports.Extensions = void 0;
const tslib_1 = require("tslib");
const color_1 = require("../common/color");
const utils_1 = require("./utils");
Object.defineProperty(exports, "darken", { enumerable: true, get: function () { return utils_1.darken; } });
Object.defineProperty(exports, "getColorRegistry", { enumerable: true, get: function () { return utils_1.getColorRegistry; } });
Object.defineProperty(exports, "lessProminent", { enumerable: true, get: function () { return utils_1.lessProminent; } });
Object.defineProperty(exports, "lighten", { enumerable: true, get: function () { return utils_1.lighten; } });
Object.defineProperty(exports, "registerColor", { enumerable: true, get: function () { return utils_1.registerColor; } });
Object.defineProperty(exports, "resolveColorValue", { enumerable: true, get: function () { return utils_1.resolveColorValue; } });
Object.defineProperty(exports, "transparent", { enumerable: true, get: function () { return utils_1.transparent; } });
//  ------ API types
// color registry
exports.Extensions = {
    ColorContribution: 'base.contributions.colors',
};
function WORKBENCH_BACKGROUND(theme) {
    switch (theme.type) {
        case 'dark':
            return color_1.Color.fromHex('#252526');
        case 'light':
            return color_1.Color.fromHex('#F3F3F3');
        default:
            return color_1.Color.fromHex('#000000');
    }
}
exports.WORKBENCH_BACKGROUND = WORKBENCH_BACKGROUND;
// 导出所有的 color token
tslib_1.__exportStar(require("./color-tokens"), exports);
//# sourceMappingURL=color-registry.js.map