"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerCSSVar = exports.CSSVarRegistry = void 0;
class CSSVarRegistry {
    constructor() {
        this._registry = new Map();
    }
    static instance() {
        if (!CSSVarRegistry._instance) {
            CSSVarRegistry._instance = new CSSVarRegistry();
        }
        return CSSVarRegistry._instance;
    }
    register(key, value) {
        this._registry.set(key, value);
    }
    get(key) {
        return this._registry.get(key);
    }
    getVars() {
        return this._registry;
    }
}
exports.CSSVarRegistry = CSSVarRegistry;
const cssVarRegistry = CSSVarRegistry.instance();
exports.registerCSSVar = cssVarRegistry.register.bind(cssVarRegistry);
//# sourceMappingURL=css-var.js.map